<?php
session_start();
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
include("phpmnu_fun.php");
if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
//++++++
include("ges_invoice_bdx.php");
$IdUsu=0;
$AT=gs("at","usuarios","id_usuario=$IdUsu");
?>
<html >
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Comercial Invoice - Buscar detallado</title>
<!----------------------------------------->
<?php AddJs(); ?>
<script type="text/javascript" src="ja/funciones.js"></script>

<!----------------------------------------->
<link rel="stylesheet" type="text/css" href="css/estiloss.css"  />
<link rel="stylesheet" type="text/css" href="css/basic.css"  />
<link rel="stylesheet" type="text/css" href="css/mnu.css"  />
<!----------------------------------------->
<style type="text/css">
.tableFixHead          { overflow-y: auto; }
.tableFixHead thead th { position: sticky; top: 0; }

table  {border-collapse:collapse;width:100%;}
th, td {padding: 3px 3px;}
th     {background:#666;}

.cF {height:600px;width:1250px;position:relative;top:0px}
.mM {height:34px;width:1250px;position:relative;top:0px;background-color:#09C; z-index:500;}

</style>

<!----------------------------------------->
<script>
$(document).ready(function(){  
   Inicializar();
   jF("Emp");
});

function fGenPDF(){
	var CboAlm=document.getElementById("CboAlm").value;
	if(CboAlm=="TODOS"){
		alert("Seleccione un Almacen");
		document.getElementById("CboAlm").focus();
		return;
	}
	document.getElementById("TxtAc").value="GEN_PDF";
	document.getElementById("Frm").submit();
}

$(document).keydown(function(e){
	var AT=gv("TxtAT");

	if(e.which==66 && e.altKey){
		if(AT=="1"){	
		document.getElementById("CmdB").click();
		return;
		}
	}

	if(e.which==86 && e.altKey){
		if(AT=="1"){
		document.getElementById("CmdZ").click();
		return;
		}
	}
  
});
</script>

<!----------------------------------------->
<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<!----------------------------------------->
<body  <?php echo $LStrMsg;?>  >
<div align="center">

<div class="mM" align="left" style="font-size:12px">
<?php
//$HTM=file_get_contents("http://inversionessounduniversal.com/ventas/phpmnu.php?USER_ID=$IdUsu");
echo GEN_MENU(vbval(V($_SESSION['SYS_USER_ID'])));
?>
</div>

<div Id="DivFRM"  class="cF" style="background-color:#FFFFFF;" >
<form id="Frm" name="Frm" method="post" action="ges_invoice_bd.php" 
autocomplete="off"
style="margin:0px; padding:0px; display:inline;" onSubmit="return false;">

<!----------------------------------------->
<div id="DivT" class="dT"  style="width:1250px;">
<img src="b.png" class="iT" />
<div class="tT">COMERCIAL INVOICE - BUSCAR DETALLADO</div>
</div>

<!----------------------------------------->

<div class="s1" style="left: 35px; top: 121px; width: 102px;">
EMPRESA</div>
<select name="Emp" id="Emp" 
class="lt" style="left: 35px; top: 138px; width: 206px" 
tabindex="<?php echo ++$TI;?>">
<?php 
	echo FCBO("emp_nom_cor","ges_empresas","id_emp>0",$Emp,"S","N");
?>
</select>
<div class="s1" style="left: 258px; top: 105px; width: 45px;"> INVOICE
</div>
<div class="s1" style="left:257px; top: 121px; width: 45px;">
SERIE</div>
<input name="InvSer" type="text" id="InvSer" 
class="lt" style="left:257px; top: 138px; width: 69px;"
value="<?php echo $InvSer;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left:339px; top: 121px; width: 45px;">
NUMERO</div>
<input name="InvNum" type="text" id="InvNum" 
class="lt" style="left:337px; top: 138px; width: 69px;"
value="<?php echo $InvNum;?>"  
tabindex="<?php echo ++$TI;?>"/>


<div class="s1" style="left: 419px; top: 105px; width: 45px;">
DESDE</div>
<div class="s1" style="left: 418px; top: 121px; width: 69px;">
dd-mm-yy</div>
<input name="Dex" type="text" id="Dex" 
class="fe tcal" style="left: 416px; top: 138px; width:90px;"
value="<?php echo $Dex;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 516px; top: 105px; width: 60px;">
HASTA</div>
<div class="s1" style="left: 517px; top: 121px; width: 69px;">
dd-mm-yy</div>
<input name="Hax" type="text" id="Hax" 
class="fe" style="left: 517px; top: 138px; width: 90px;" 
value="<?php echo $Hax;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left:618px; top: 121px; width: 130px;"> PROVEEDOR
</div>
<select name="Prv" id="Prv" 
class="lt" style="left:618px; top: 138px; width: 175px" 
tabindex="<?php echo ++$TI;?>">
<?php 
	echo FCBO("prv_nom","ges_proveedores","id_prv>0",$Prv,"S","N");
?>
</select>

<div class="s1" style="left: 803px; top: 105px; width: 73px;">
PRODUCTO</div>
<div class="s1" style="left: 803px; top: 121px; width: 73px;">
CODIGO</div>
<input name="ProKod" type="text" id="ProKod" 
class="lt" style="left: 803px; top: 138px; width:100px;"
value="<?php echo $ProKod;?>"  
tabindex="<?php echo ++$TI;?>"/>


<div class="s1" style="left: 911px; top: 121px; width: 155px;">
NOMBRE / DESCRIPCION</div>
<input name="ProDex" type="text" id="ProDex" 
class="lt" style="left: 911px; top: 138px; width:161px;"
value="<?php echo $ProDex;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 1082px; top: 121px; width: 155px;">
MEASURES/MEDIDAS</div>
<input name="ProMea" type="text" id="ProMea" 
class="lt" style="left: 1082px; top: 138px; width:133px;text-transform:none;"
value="<?php echo $ProMea;?>"  
tabindex="<?php echo ++$TI;?>"/>

<!----------------------------------------->
<div id="DivBtn" align="left" style="position:absolute; left: 33px; top: 71px; width: 551px; height: 26px;">
<input name="CmdB" type="button" id="CmdB" class="btm"
value="Buscar" onClick="fFiltrar();"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdB" type="button" id="CmdZ" class="btm"
value="Volver" onClick="fBuscar('ges_invoice.php?TxtAc=X');"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdPDF" type="button" id="CmdPDF" class="btm" 
value="Generar PDF" onClick="fGenPDF();" style="display:none"
tabindex="<?php echo ++$TI;?>" />
</div>

<div  style="position:absolute; top:165px; left:35px; height:27px; background-color:#FFF; width: 1180px;">
<table width="100%" style="font-family:Arial, Helvetica, sans-serif; font-size:11px" border="0">
<tr>
<td align="center">
	<?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?>
</td>
</tr>
</table>
</div> 
    
<!----------------------------------------->
<div class="tableFixHead" style="position: absolute; left: 35px; top: 194px; width: 1180px; height: 380px; overflow:auto; border:solid 1px #363636">
<table id="Exportar_a_Excel" width="100%" style="font-family:Arial, Helvetica, sans-serif; font-size:11px">
<thead>
<tr>
<th width="70" style="text-align:left; background:#999">EMPRESA</th>
<th width="47"  style="text-align:left; background:#999"">I.SERIE</th>
<th width="63"  style="text-align:left; background:#999"">I.NUMERO</th>
<th width="77" style="text-align:left; background:#999"">FECHA</th>
<th width="154" style="text-align:left; background:#999"">PROVEEDOR</th>
<th width="30" style="text-align:left; background:#999"">ITEM</th>
<th width="95" style="text-align:left; background:#999"">CODIGO</th>
<th width="179" style="text-align:left; background:#999"">DESCRIPCION</th>
<th width="141" style="text-align:left; background:#999"">MEASURES</th>
<th width="50" style="text-align:right; background:#999"">PIEZAS</th>
<th width="45" style="text-align:right; background:#999"">CAJAS</th>
<th width="37" style="text-align:left; background:#999"">UND</th>
<th width="46" style="text-align:right; background:#999"">PRECIO</th>
<th width="52" style="text-align:right; background:#999"">IMPORTE</th>
<th width="28" style="text-align:center; background:#999"">&gt;</th>

</tr>
</thead>
<tbody>
<?php		  		
$TOT_IMPORTE=0;
$TOT_CAJAS=0;
$i=0;
$s="SELECT * FROM vis_ges_invoice_detallado WHERE ".$FF." ORDER BY ID DESC,DET_ITEM ";
$s=PagSql($s,$LStrPag,$VP_RegXPag,$LStrTR);
$rs=grs($s);				
while($r=$rs->fetch_assoc()){
	$i++;
	$CSS="";
	if($i%2==0)$CSS=' style="background-color:#E2E2E2" ';
	$TOT_IMPORTE=$TOT_IMPORTE + $r['IMPORTE'];
	$TOT_CAJAS=$TOT_CAJAS + $r['DET_CAJ'];
?>	
	<tr onDblClick="location.href='ges_invoice.php?Id=<?php echo $r['ID'];?>&Pag=0'" <?php echo $CSS;?>>
	<!----------------------------------------------->
	<td><?php echo $r['EMP_NC'];?></td>  
	<td><?php echo $r['INV_SER'];?></td>
	<td><?php echo $r['INV_NUM'];?></td> 
	<td><?php echo $r['FEC_'];?></td>
    <td><?php echo $r['PROVEEDOR'];?></td>    
    <td><?php echo $r['DET_ITEM'];?></td>    
    <td><?php echo $r['DET_COD'];?></td>    
    <td><?php echo $r['DET_DES'];?></td> 
    <td><?php echo $r['MEDIDAS'];?></td>   
    <td align="right"><?php echo $r['DET_PIE'];?></td>    
    <td align="right"><?php echo $r['DET_CAJ'];?></td> 
    <td><?php echo $r['UND'];?></td> 
    <td align="right"><?php echo $r['PRECIO'];?></td>    
    <td align="right"><?php echo $r['IMPORTE'];?></td>    
	<!----------------------------------------------->
    <td align="center">
    <a href="ges_invoice.php?Id=<?php echo $r['ID'];?>&Pag=0" target="_blank" >
    <img src="open.png"  border="0"/></a></td>
	</tr>
<?php
}
?>		  
</tbody>
</table>
</div>
<div class="s1" style="left: 700px; top:576px; width: 211px;">
<b>TOTAL CTNS: <?php echo  $TOT_CAJAS;?></b></div>


<div class="s1" style="left: 1038px; top:576px; width: 174px; text-align:right">
<b>TOTAL : <?php echo  NF2($TOT_IMPORTE,2);?></b></div>


<!----------------------------------------->
<?php include("ocultos.php");?>

<div class="s1" style="left: 33px; top: 579px; width: 426px;">
Doble Click sobre el registro para activar Actualizacion</div>
</form>

<form action="ficheroExcel.php" 
    method="post" target="_blank" id="FormularioExportacion" >
    
    <div style="position: absolute; left: 313px; top: 71px; width: 45px; height: 15px;">  
    <input name="" type="button" class="botonExcel btm" value="Exportar"  />
    <input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
    </div>
</form>


<?php
if($StrCmd=="GEN_PDF"){
	$_PDF=GEN_PDF($FF,$StrAlm,$StrCom,$StrSer,$StrNum,$StrDex,$StrHax,$StrPro,$StrVend,$StrSN);
	$StrDESCARGAR=$_PDF;
}

function GEN_PDF($FF,$StrAlm,$StrCom,$StrSer,$StrNum,$StrDex,$StrHax,$StrPro,$StrVend,$StrSN){
$_CxL=90;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"VENTAS",0,1);	
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------

if(strlen($StrAlm)>0){
$_ENC=vbl("ALMACEN".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrAlm.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrCom)>0){
$_ENC=vbl("COMPROBANTE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrCom.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrSer)>0){
$_ENC=vbl("SERIE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrSer.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrNum)>0){
$_ENC=vbl("NUMERO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrNum.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDex)>0){
$_ENC=vbl("DESDE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrDex.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrHax)>0){
$_ENC=vbl("HASTA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrHax.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrPro)>0){
$_ENC=vbl("CLIENTE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrPro.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrVend)>0){
$_ENC=vbl("VENDEDOR".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrVend.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrSN)>0){
$_ENC=vbl("ANULADO S/N".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrSN.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);
$P=0;
$P++; $T[$P]=11;	$_ENC=vbl("ALMACEN".vbfill(" ",$T[$P]),$T[$P]);
$P++; $T[$P]=8;		$_ENC=$_ENC." ".vbl("COMPROB".vbfill(" ",$T[$P]),$T[$P]);
$P++; $T[$P]=10;	$_ENC=$_ENC." ".vbl("NUMERO".vbfill(" ",$T[$P]),$T[$P]);
$P++; $T[$P]=8;		$_ENC=$_ENC." ".vbl("FECHA".vbfill(" ",$T[$P]),$T[$P]);
$P++; $T[$P]=19;	$_ENC=$_ENC." ".vbl("CLIENTE".vbfill(" ",$T[$P]),$T[$P]);
$P++; $T[$P]=18;	$_ENC=$_ENC." ".vbl("VENDEDOR".vbfill(" ",$T[$P]),$T[$P]);
$P++; $T[$P]=1;		$_ENC=$_ENC." ".vbl("A".vbfill(" ",$T[$P]),$T[$P]);
$P++; $T[$P]=8;		$_ENC=$_ENC." ".vbr(vbfill(" ",$T[$P])."TOTAL",$T[$P]);
$pdf->Cell(0,4,$_ENC,0,1);	
//
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	
//
$s="SELECT ID,ALM,COM,CONCAT(SER,'-',NUM),DATE_FORMAT(FEC,'%d-%m-%y'),CLI,
VEND,ANU,TOT
FROM vventas WHERE ".$FF." ORDER BY ALM,COM,SER,NUM,FEC,CLI ";

$result = grs($s);
while ($row = $result->fetch_row()){
	$P=0;
	$P++; $_ENC=vbl($row[1].vbfill(" ",$T[$P]),$T[$P]);
	$P++; $_ENC=$_ENC." ".vbl($row[2].vbfill(" ",$T[$P]),$T[$P]);
	$P++; $_ENC=$_ENC." ".vbl($row[3].vbfill(" ",$T[$P]),$T[$P]);
	$P++; $_ENC=$_ENC." ".vbl($row[4].vbfill(" ",$T[$P]),$T[$P]);
	$P++; $_ENC=$_ENC." ".vbl($row[5].vbfill(" ",$T[$P]),$T[$P]);
	$P++; $_ENC=$_ENC." ".vbl($row[6].vbfill(" ",$T[$P]),$T[$P]);
	$P++; $_ENC=$_ENC." ".vbl($row[7].vbfill(" ",$T[$P]),$T[$P]);
	$P++; $_ENC=$_ENC." ".vbr(vbfill(" ",$T[$P]).NF2($row[8],1),$T[$P]);
	$pdf->Cell(0,4,$_ENC,0,1);	
	$TOT=$TOT+$row[8];
}
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	

$_TI=vbr(vbfill(" ",75)."TOTAL :",75);
$_TD=vbr(vbfill(" ",14).NF2($TOT,1),14);
$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	

$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="Ventas.pdf";
$pdf->Output($PDF_NAME);
return $PDF_NAME;
}
?>

<?php
if(strlen($StrDESCARGAR)>0){
echo "<div id=\"layer51\" 
	  style=\"position:absolute; left: 223px; top: 102px; 
	  width: 88px;; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"Estilo2\"> ";
echo " <a href=\"$StrDESCARGAR\" download>Desc.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>

</div>
</div>
</body>
</html>
